Loading...
Searching...
No Matches
XrdCl::VirtualRedirector Class Referenceabstract

An interface for metadata redirectors. More...

`#include <XrdClRedirectorRegistry.hh>`

Inheritance diagram for XrdCl::VirtualRedirector:
Collaboration diagram for XrdCl::VirtualRedirector:

## Public Member Functions

virtual | ~VirtualRedirector ()
| Destructor.
virtual int | Count (Message &req) const =0
| Count how many replicas do we have left to try for given request.
virtual std::string | GetCheckSum (const std::string &type) const =0
virtual const std::vector< std::string > & | GetReplicas ()=0
| Returns a vector with replicas as given in the meatlink file.
virtual long long | GetSize () const =0
virtual std::vector< std::string > | GetSupportedCheckSums () const =0
virtual std::string | GetTargetName () const =0
| Gets the file name as specified in the metalink.
virtual XRootDStatus | HandleRequest (const Message *msg, MsgHandler *handler)=0
virtual XRootDStatus | Load (ResponseHandler *userHandler)=0
| Initializes the object with the content of the metalink file.

## Detailed Description

An interface for metadata redirectors.

Definition at line 59 of file XrdClRedirectorRegistry.hh.

## Constructor & Destructor Documentation

## ~VirtualRedirector()

virtual XrdCl::VirtualRedirector::~VirtualRedirector | ( |  | ) |

inline virtual

Destructor.

Definition at line 65 of file XrdClRedirectorRegistry.hh.

{}

## Member Function Documentation

## Count()

virtual int XrdCl::VirtualRedirector::Count | ( | Message & | req | ) | const

pure virtual

Count how many replicas do we have left to try for given request.

Implemented in XrdCl::MetalinkRedirector.

## GetCheckSum()

virtual std::string XrdCl::VirtualRedirector::GetCheckSum | ( | const std::string & | type | ) | const

pure virtual

Returns the checksum of the given type if specified in the metalink file, or an empty string otherwise

Implemented in XrdCl::MetalinkRedirector.

Referenced by XrdCl::ThirdPartyCopyJob::Run().

Here is the caller graph for this function:

## GetReplicas()

virtual const std::vector< std::string > & XrdCl::VirtualRedirector::GetReplicas | ( |  | ) |

pure virtual

Returns a vector with replicas as given in the meatlink file.

Implemented in XrdCl::MetalinkRedirector.

## GetSize()

virtual long long XrdCl::VirtualRedirector::GetSize | ( |  | ) | const

pure virtual

Returns the file size as specified in the metalink, or a negative number if size was not specified

Implemented in XrdCl::MetalinkRedirector.

## GetSupportedCheckSums()

virtual std::vector< std::string > XrdCl::VirtualRedirector::GetSupportedCheckSums | ( |  | ) | const

pure virtual

Returns the default checksum type (the first one given in the metalink), if no checksum is available returns an empty string

Implemented in XrdCl::MetalinkRedirector.

Referenced by XrdCl::Utils::InferChecksumType().

Here is the caller graph for this function:

## GetTargetName()

virtual std::string XrdCl::VirtualRedirector::GetTargetName | ( |  | ) | const

pure virtual

Gets the file name as specified in the metalink.

Implemented in XrdCl::MetalinkRedirector.

Referenced by XrdCl::CopyProcess::Prepare().

Here is the caller graph for this function:

## HandleRequest()

virtual XRootDStatus XrdCl::VirtualRedirector::HandleRequest | ( | const Message * | msg,
|  | MsgHandler * | handler )

pure virtual

Creates an instant redirect response for the given message or an error response if there are no more replicas to try. The virtual response is being handled by the given handler in the thread-pool.

Implemented in XrdCl::MetalinkRedirector.

Referenced by XrdCl::PostMaster::Redirect().

Here is the caller graph for this function:

## Load()

virtual XRootDStatus XrdCl::VirtualRedirector::Load | ( | ResponseHandler * | userHandler | ) |

pure virtual

Initializes the object with the content of the metalink file.

Implemented in XrdCl::MetalinkRedirector.

The documentation for this class was generated from the following file:

- XrdClRedirectorRegistry.hh